/// <reference types="webpack" />
import { PluginItem } from '@babel/core';
import { ProxyConfigMap, ProxyConfigArray } from 'webpack-dev-server';
import { Options } from './start';
import { Configuration } from './getWebpackConfig';
import HtmlWebpackPlugin from 'html-webpack-plugin';
export interface RcbConfig {
    host?: string;
    port?: number;
    proxy?: ProxyConfigMap | ProxyConfigArray;
    mock?: MockConfig;
    babelPresets?: PluginItem[] | null;
    babelPlugins?: PluginItem[] | null;
    alias?: {
        [key: string]: string;
    };
    open?: boolean;
    webpackPluginConfig?: HtmlWebpackPlugin.Options;
    webpack?: Configuration;
}
export interface MockConfig {
    rootDir: string;
    api: string;
    whiteList: string[];
}
export declare function getRcbConfig(): RcbConfig;
export declare function getMockConfig(rcb: RcbConfig): any;
export default function getExtraConfig(options?: Options): {
    webpack: import("webpack").Configuration;
    babel: {};
    rcb: RcbConfig;
};
