"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
var FILE_REGEX = /.(woff|woff2|ttf|eot)/;
function getFontLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 8192,
                name: function () {
                    if (utils_1.default.isDev()) {
                        return './fonts/[name].[ext]';
                    }
                    return './fonts/[name].[ext]?[hash:8]';
                }
            }
        }
    });
}
exports.default = getFontLoader;
;
