"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getJestConfig() {
    return {
        moduleFileExtensions: ['js', 'jsx', 'ts', 'tsx', 'json'],
        moduleNameMapper: {
            '\\.(css|less|sass|scss|stylus)$': require.resolve('identity-obj-proxy'),
        },
        testPathIgnorePatterns: ['/node_modules/'],
        transform: {
            '^.+\\.(js|jsx|ts|tsx)$': [require.resolve('babel-jest'), {
                    configFile: require.resolve('../babelrc')
                }],
            '^.+\\.(css|less|sass|scss|stylus)$': require.resolve('./helpers/css'),
            '^(?!.*\\.(js|jsx|ts|tsx|css|less|sass|scss|stylus|json)$)': require.resolve('./helpers/file'),
        },
        verbose: true,
    };
}
exports.default = getJestConfig;
