import utils from '../utils';
const FILE_REGEX = /.(woff|woff2|ttf|eot)/;

export default function getFontLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 8192,
                name() {
                    if (utils.isDev()) {
                        return './fonts/[name].[ext]';
                    }

                    return './fonts/[name].[ext]?[hash:8]';
                }
            }
        }
    });
};
